# __gnu_cxx::rope< CharT, Alloc > Class Template Reference
[STL extensions from SGI]

List of all members.

## Detailed Description

### template<class CharT, class Alloc>
class __gnu_cxx::rope< CharT, Alloc >

This is an SGI extension.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 1232 of file rope.

The documentation for this class was generated from the following files:

- rope
- ext-inst.cc
- ropeimpl.h